precision mediump float;

varying vec2 uv1;
varying vec2 uv2;
varying float blend;

uniform sampler2D texture0;

void main() {
  vec4 color1 = texture2D(texture0, uv1);
  vec4 color2 = texture2D(texture0, uv2);
  gl_FragColor = mix(color1, color2, blend);
}
